..  THIS FILE IS GENERATED BY `gen_doc.{py|sh}`
    !DO NOT EDIT THIS FILE MANUALLY!

============
control_flow
============

.. _api_fluid_layers_array_length:

array_length
------------

..  autofunction:: paddle.fluid.layers.array_length
    :noindex:

.. _api_fluid_layers_array_read:

array_read
----------

..  autofunction:: paddle.fluid.layers.array_read
    :noindex:

.. _api_fluid_layers_array_write:

array_write
-----------

..  autofunction:: paddle.fluid.layers.array_write
    :noindex:

.. _api_fluid_layers_create_array:

create_array
------------

..  autofunction:: paddle.fluid.layers.create_array
    :noindex:

.. _api_fluid_layers_DynamicRNN:

DynamicRNN
----------

..  autoclass:: paddle.fluid.layers.DynamicRNN
    :members:
    :inherited-members:
    :noindex:

.. _api_fluid_layers_equal:

equal
-----

..  autofunction:: paddle.fluid.layers.equal
    :noindex:

.. _api_fluid_layers_greater_equal:

greater_equal
-------------

..  autofunction:: paddle.fluid.layers.greater_equal
    :noindex:

.. _api_fluid_layers_greater_than:

greater_than
------------

..  autofunction:: paddle.fluid.layers.greater_than
    :noindex:

.. _api_fluid_layers_IfElse:

IfElse
------

..  autoclass:: paddle.fluid.layers.IfElse
    :members:
    :inherited-members:
    :noindex:

.. _api_fluid_layers_increment:

increment
---------

..  autofunction:: paddle.fluid.layers.increment
    :noindex:

.. _api_fluid_layers_is_empty:

is_empty
--------

..  autofunction:: paddle.fluid.layers.is_empty
    :noindex:

.. _api_fluid_layers_less_equal:

less_equal
----------

..  autofunction:: paddle.fluid.layers.less_equal
    :noindex:

.. _api_fluid_layers_less_than:

less_than
---------

..  autofunction:: paddle.fluid.layers.less_than
    :noindex:

.. _api_fluid_layers_not_equal:

not_equal
---------

..  autofunction:: paddle.fluid.layers.not_equal
    :noindex:

.. _api_fluid_layers_Print:

Print
-----

..  autofunction:: paddle.fluid.layers.Print
    :noindex:

.. _api_fluid_layers_reorder_lod_tensor_by_rank:

reorder_lod_tensor_by_rank
--------------------------

..  autofunction:: paddle.fluid.layers.reorder_lod_tensor_by_rank
    :noindex:

.. _api_fluid_layers_StaticRNN:

StaticRNN
---------

..  autoclass:: paddle.fluid.layers.StaticRNN
    :members:
    :inherited-members:
    :noindex:

.. _api_fluid_layers_Switch:

Switch
------

..  autoclass:: paddle.fluid.layers.Switch
    :members:
    :inherited-members:
    :noindex:

.. _api_fluid_layers_While:

While
-----

..  autoclass:: paddle.fluid.layers.While
    :members:
    :inherited-members:
    :noindex:

